<?php
/*
* Pixel Point Creative Sound Space Module
* License: GNU General Public License version 2 
* More: http://www.gnu.org/copyleft/gpl.html
* Copyright (c) Pixel Point Creative LLC.
* More info at http://www.pixelpointcreative.com
* Review our terms/license here: http://pixelpointcreative.com/terms.html
*/
// no direct access
defined('_JEXEC') or die('Restricted access');
if (!defined('DS')) {
	define('DS', DIRECTORY_SEPARATOR);
}
$document = &JFactory::getDocument();
jimport('joomla.filesystem.folder');
jimport( 'joomla.html.html' );
require_once (dirname(__FILE__).DS.'helper.php');
$items 				= array();
$source 			= $params->get( 'source',"folder");
$source_limit 			= $params->get( 'source_limit',"");
$folder 			= $params->get( 'folder', 'media/music/' );
$jquery				= $params->get('include_jquery', '1');
$soundcloud_url			= $params->get('soundcloud_url', '');
$soundcloud_title		= $params->get('soundcloud_title', '');
$wrapperPosition 		= $params->get( 'wrapperPosition',"bottom");
$mainPosition 			= $params->get( 'mainPosition',"center");
$wrapperColor 			= $params->get( 'wrapperColor', '#f0f0f0' );
$mainColor			= $params->get('mainColor', '#3c3c3c');
$fillColor			= $params->get('fillColor', '#e3e3e3');
$metaColor			= $params->get('metaColor', '#666666');
$strokeColor 			= $params->get( 'strokeColor',"#e0e0e0");
$fillColorHover 		= $params->get( 'fillColorHover',"#d1d1d1");
$activeTrackColor 		= $params->get( 'activeTrackColor', '#E8E8E8' );
$twitterText			= $params->get('twitterText', 'Share on Twitter');
$facebookText			= $params->get('facebookText', 'Share on Facebook');
$soundcloudText			= $params->get('soundcloudText', 'Check on Souncloud');
$height 			= $params->get( 'height', 70);
$playlistHeight 		= $params->get( 'playlistHeight', 210);
$coverSize 			= $params->get( 'coverSize', '[50, 50]' );
$coverDefault 			= $params->get( 'coverDefault', 'modules/mod_sound_space/assets/images/default.png' );
$thmDir 			= dirname(__FILE__) .DS. 'core' .DS. 'elements'.DS;
$offset				= $params->get('offset', 20);
$opened				= $params->get('opened', 1);
$volume				= $params->get('volume', 1);
$playlist 			= $params->get( 'playlist',1);
$autoLoad 			= $params->get( 'autoLoad',1);
$autoPlay 			= $params->get( 'autoPlay', 0 );
$playNextWhenFinished		= $params->get('playNextWhenFinished', 1);
$assetDir 			= dirname(__FILE__).DS.'assets'.DS.'images'.DS;
$keyboard			= $params->get('keyboard', 1);
$socials			= $params->get('socials', 1);
$randomize 			= $params->get( 'randomize', 0);
$shuffle 			= $params->get( 'shuffle', 1);

$document->addStyleSheet( JURI::root() . 'modules/'.$module->module.'/assets/css/jquery.fullwidthAudioPlayer.css' );
$document->addStyleSheet( JURI::root() . 'modules/'.$module->module.'/assets/css/jquery.fullwidthAudioPlayer-responsive.css' );
require_once( $thmDir . 'newDates.php' );

if ($source == 'folder') {
	$music = modSoundSpace::getInstance($params);
	$items = $music->getInfo($params);
}
require_once( $thmDir . 'defaultInfo.php' );
$path = JModuleHelper::getLayoutPath( 'mod_sound_space' );
if (file_exists($path)) {
	require($path);
} 
?>
