<?php
/*
* Pixel Point Creative Sound Space Module
* License: GNU General Public License version 2 
* More: http://www.gnu.org/copyleft/gpl.html
* Copyright (c) Pixel Point Creative LLC.
* More info at http://www.pixelpointcreative.com
* Review our terms/license here: http://pixelpointcreative.com/terms.html
*/
// no direct access
defined('_JEXEC') or die('Restricted access');
$options=$params->toObject();
 $flag = 0;
 if ($source == 'folder' && !empty($items['files'])) {
 	 $flag = true;
	 $files = $items['files'];
?>
<div id="fap" class="<?php echo $params->get("moduleclass_sfx");?>">
<?php foreach ($files as $key => $mp3) {	
	$m_mp3 = end(explode('/',$mp3));
	$info = pathinfo($m_mp3);
	$name =  basename($m_mp3,'.'.$info['extension']);
	$title = isset($items['titles'][$key]) && $items['titles'][$key] != '' ? $items['titles'][$key] : $name;
	$cover = isset($items['covers'][$key]) && $items['covers'][$key] != '' ? 'rel="' . $items['covers'][$key] . '"' : 'rel="' . JURI::root() . $coverDefault . '"';
	$url = isset($items['urls'][$key]) && $items['urls'][$key] != '' ? $items['urls'][$key] : '';
	$target = isset($items['targets'][$key]) && $items['targets'][$key] != '' ? 'target="' . $items['targets'][$key] .'"' : '';
	$desc = isset($items['descs'][$key]) && $items['descs'][$key] != '' ? $items['descs'][$key] : '';
	$meta = $desc != '' ? 'data-meta="#'.$name.'"' : '';
	$container = $target != '' ? '<a href="'. $url .'" '. $target .'>'.$desc . '</a>' : $desc;
?>
<a href="<?php echo JURI::root()  . $mp3; ?>" title="<?php echo $title;?>" target="<?php echo $url;?>" <?php echo $url;?>   <?php echo $cover;?> <?php echo $meta;?>  ></a>
<?php if ($desc != '') {
?>
<span id="<?php echo $name?>"><?php echo $container;?></span>
<?php }
 }  ?>
</div>
<?php } else {  $flag = true; ?>
<div id="fap">
 <a href="<?php echo $soundcloud_url;?>" class="fap-single-track"><?php echo $soundcloud_title;?></a> 
 </div>
 <?php } ?>
<?php if ( $flag) { ?>


<?php if($jquery) : ?>
<script src="<?php echo JURI::root();?>modules/mod_sound_space/assets/js/jquery.min.js" type="text/javascript"></script>
<?php endif; ?>
<script src="<?php echo JURI::root();?>modules/mod_sound_space/assets/js/jquery-ui.js" type="text/javascript"></script>
<script src="<?php echo JURI::root();?>modules/mod_sound_space/assets/js/soundmanager2-nodebug-jsmin.js" type="text/javascript"></script>
<script src="https://connect.soundcloud.com/sdk.js"></script>
<script src="<?php echo JURI::root();?>modules/mod_sound_space/assets/js/jquery.fullwidthAudioPlayer.min.js" type="text/javascript"></script>

<script type="text/javascript">
	//set here the swf folder
	soundManager.url = '<?php echo JURI::root();?>modules/mod_sound_space/assets/swf/';
	//need to be flash player 9
	soundManager.flashVersion = 9;
	//prefer HTML5 audio rather than flash
	soundManager.useHTML5Audio = true;
	//no debugging
	soundManager.debugMode = false;
  	jQuery(document).ready(function(){  	   
  			jQuery('#fap').fullwidthAudioPlayer({wrapperColor: '<?php echo $wrapperColor?>', mainColor: '<?php echo $mainColor?>', fillColor: '<?php echo $fillColor?>', 
    										metaColor: '<?php echo $metaColor?>', fillColorHover: '<?php echo $fillColorHover?>', strokeColor: '<?php echo $strokeColor?>', activeTrackColor: '<?php echo $activeTrackColor?>',
    										wrapperPosition: '<?php echo $wrapperPosition?>', mainPosition: '<?php echo $mainPosition?>', 
    										autoPlay: <?php echo $autoPlay?>, socials: <?php echo $socials?>, volume: <?php echo $volume?>, playlist: <?php echo $playlist?>, sortable: true, height: <?php echo $height;?>, playlistHeight: <?php echo $playlistHeight;?>, coverSize: <?php echo $coverSize;?>, offset: <?php echo $offset;?>, opened: <?php echo $opened;?>, volume: <?php echo $volume;?>, playlist: <?php echo $playlist;?>, autoLoad: <?php echo $autoLoad;?>, playNextWhenFinished: <?php echo $playNextWhenFinished;?>, keyboard: <?php echo $keyboard;?>, socials: <?php echo $socials;?>, randomize: <?php echo $randomize;?>, shuffle: <?php echo $shuffle;?>, twitterText: '<?php echo $twitterText?>', facebookText: '<?php echo $facebookText?>', soundcloudText: '<?php echo $soundcloudText?>'
    										});
	 });
	
</script>
<?php } ?>  